JPA 개발을 편리하게 해주는 querydsl 라이브러리는 2018년 중순 개발이 멈췄고,

querydsl 의 gradle 라이브러리는 조심스럽게 써야 한다. querydsl gradle 개발회사인 ewerk가 망하면서.. 자연스럽게 개발이 멈춰졌다. 



https://github.com/ewerk/gradle-plugins


EWERK Gradle Plugins

NOTE: The plugins are currently not compatible to Gradle 5+ and have not been tested with a JDK higher than 1.8. Currently a lot of issues arise related to using the plugins with Gradle 5+. There are plans to adopt the plugins to the newest Gradle API but time is lacking. Help is pretty much appreciated. Please see https://github.com/ewerk/gradle-plugins/milestone/1.



jdk 10+, gradle 5+를 써도 컴파일되긴 한다... 다만 안정성은 보장 못하니.. 조심하게 사용할 필요가 있다. 


Posted by 김용환 '김용환'

댓글을 달아 주세요